﻿using Hotline.DI;
using Hotline.Orders;
using Hotline.Snapshot;
using Hotline.Users;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Authentications;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Application.Snapshot;

[Injection(AppScopes = EAppScope.YiBin | EAppScope.LuZhou)]
public class DefaultSnapshotApplication : SnapshotApplicationBase
    , ISnapshotApplication, IScopeDependency
{
    public DefaultSnapshotApplication(IThirdIdentiyService thirdLoginService, IRepository<Industry> industryRepository, IRepository<Article.Bulletin> bulletinRepository, ISessionContext sessionContext, IRepository<RedPackRecord> redPackRecordRepository, IRepository<Order> orderRepository, IThirdAccountRepository thirdAccountRepository, IRepository<OrderSnapshot> orderSnapshotRepository) : base(thirdLoginService, industryRepository, bulletinRepository, sessionContext, redPackRecordRepository, orderRepository, thirdAccountRepository, orderSnapshotRepository)
    {
    }
}
